Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023070
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-02-13 12:552013-04-03 12:55
ReporterjecharriView Statuspublic 
Assigned Toguilleaer 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision57a203da9d79
ProjectionnoneETAnoneTarget VersionRMP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP19.1SCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023070: 100% discount results in a netto amount

Description100% discount results in a netto amount
Steps To Reproduce-login as "Admin"
-go to window "discounts and promotions"
-create one discount with type "Fixed Percentage Discount" and add100% of discount.

-Login in the Web and create an order.

-Go again to the backend and you will see that grandtotal is 0 but the "Total net Amount" is not zero. It happens with the linenet_amount and with the related taxes. Probably a module script is going to be necessary to fix the clients data.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0023362RMP19.2 closedmarvintm Can't set price of item to zero in POS 
related to defect 0024948RMP27.1 closedguilleaer 100% discretionary discount results in a netto amount 

-  Notes
(0056445)
hgbot (developer)
2013-02-14 15:29

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 57a203da9d794738be38fa28a04308a8b9334ab5
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Feb 14 11:17:02 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/57a203da9d794738be38fa28a04308a8b9334ab5 [^]

fixed issue 23070: 100% discounts and orders with 0 as final price works fine

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056446)
hgbot (developer)
2013-02-14 15:29

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f951089e4cb1e58f2d7ccff860f47786f4c0bdda
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Feb 14 11:27:51 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f951089e4cb1e58f2d7ccff860f47786f4c0bdda [^]

related to issue 23070: 100% discounts and orders with 0 as final price works fine without including taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056476)
hgbot (developer)
2013-02-15 09:08

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: 57a203da9d794738be38fa28a04308a8b9334ab5
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Feb 14 11:17:02 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/57a203da9d794738be38fa28a04308a8b9334ab5 [^]

fixed issue 23070: 100% discounts and orders with 0 as final price works fine

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056477)
hgbot (developer)
2013-02-15 09:08

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: f951089e4cb1e58f2d7ccff860f47786f4c0bdda
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Feb 14 11:27:51 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/f951089e4cb1e58f2d7ccff860f47786f4c0bdda [^]

related to issue 23070: 100% discounts and orders with 0 as final price works fine without including taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0057640)
hgbot (developer)
2013-04-02 20:07

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 57a203da9d794738be38fa28a04308a8b9334ab5
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Feb 14 11:17:02 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/57a203da9d794738be38fa28a04308a8b9334ab5 [^]

fixed issue 23070: 100% discounts and orders with 0 as final price works fine

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0057641)
hgbot (developer)
2013-04-02 20:07

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: f951089e4cb1e58f2d7ccff860f47786f4c0bdda
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Feb 14 11:27:51 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/f951089e4cb1e58f2d7ccff860f47786f4c0bdda [^]

related to issue 23070: 100% discounts and orders with 0 as final price works fine without including taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---

- Issue History
Date Modified Username Field Change
2013-02-13 12:55 jecharri New Issue
2013-02-13 12:55 jecharri Assigned To => guilleaer
2013-02-14 15:29 hgbot Checkin
2013-02-14 15:29 hgbot Note Added: 0056445
2013-02-14 15:29 hgbot Status new => resolved
2013-02-14 15:29 hgbot Resolution open => fixed
2013-02-14 15:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/57a203da9d794738be38fa28a04308a8b9334ab5 [^]
2013-02-14 15:29 hgbot Checkin
2013-02-14 15:29 hgbot Note Added: 0056446
2013-02-15 09:08 hgbot Checkin
2013-02-15 09:08 hgbot Note Added: 0056476
2013-02-15 09:08 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/57a203da9d794738be38fa28a04308a8b9334ab5 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/57a203da9d794738be38fa28a04308a8b9334ab5 [^]
2013-02-15 09:08 hgbot Checkin
2013-02-15 09:08 hgbot Note Added: 0056477
2013-02-27 17:11 marvintm Review Assigned To => marvintm
2013-02-27 17:11 marvintm Status resolved => closed
2013-03-21 11:30 marvintm Relationship added has duplicate 0023362
2013-04-02 20:07 hgbot Checkin
2013-04-02 20:07 hgbot Note Added: 0057640
2013-04-02 20:07 hgbot Status closed => resolved
2013-04-02 20:07 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/57a203da9d794738be38fa28a04308a8b9334ab5 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/57a203da9d794738be38fa28a04308a8b9334ab5 [^]
2013-04-02 20:07 hgbot Checkin
2013-04-02 20:07 hgbot Note Added: 0057641
2013-04-03 12:55 marvintm Status resolved => closed
2013-10-15 10:15 jecharri Relationship added related to 0024948


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker